Package org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor

# Class JSPWikiLinkNodePostProcessor

java.lang.Object
com.vladsch.flexmark.parser.block.NodePostProcessor
org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor.JSPWikiLinkNodePostProcessor

All Implemented Interfaces:
  `com.vladsch.flexmark.parser.PostProcessor`

public class JSPWikiLinkNodePostProcessor extends com.vladsch.flexmark.parser.block.NodePostProcessor
`NodePostProcessor` to convert `Link`s into `JSPWikiLink`s. Acts as a factory of `NodePostProcessorState`, which are the classes generating the extra markup for each concrete type of link.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final com.vladsch.flexmark.util.ast.Document`
`document`
`protected final LinkParsingOperations`
`linkOperations`
`protected final org.apache.wiki.api.core.Context`
`m_context`
`protected boolean`
`m_useOutlinkImage`

## Constructor Summary

Constructors
Constructor
Description
`JSPWikiLinkNodePostProcessor(org.apache.wiki.api.core.Context m_context, com.vladsch.flexmark.util.ast.Document document, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(com.vladsch.flexmark.util.ast.NodeTracker state, com.vladsch.flexmark.util.ast.Node node)`

### Methods inherited from class com.vladsch.flexmark.parser.block.NodePostProcessor

`processDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_context

protected final org.apache.wiki.api.core.Context m_context

### linkOperations

protected final LinkParsingOperations linkOperations

### m_useOutlinkImage

protected boolean m_useOutlinkImage

### document

protected final com.vladsch.flexmark.util.ast.Document document

## Constructor Details

### JSPWikiLinkNodePostProcessor

public JSPWikiLinkNodePostProcessor(org.apache.wiki.api.core.Context m_context, com.vladsch.flexmark.util.ast.Document document, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)

## Method Details

### process

public void process(com.vladsch.flexmark.util.ast.NodeTracker state, com.vladsch.flexmark.util.ast.Node node)

See Also:
  - `PostProcessor.process(NodeTracker, Node)`